# TIFFFlush

## Synopsis

    #include <tiffio.h>

int TIFFFlush(TIFF *tif)

int TIFFFlushData(TIFF *tif)

## Description

`TIFFFlush()` causes any pending writes for the specified file (including writes for the current directory) to be done. In normal operation this call is never needed—the library automatically does any flushing required.

`TIFFFlushData()` flushes any pending image data for the specified file to be written out; directory-related data are not flushed. In normal operation this call is never needed—the library automatically does any flushing required.

## Return values

0 is returned if an error is encountered, otherwise 1 is returned.

## Diagnostics

All error messages are directed to the `TIFFErrorExtR()` routine.

## See also

TIFFOpen (3tiff), TIFFWriteEncodedStrip (3tiff), TIFFWriteEncodedTile (3tiff), TIFFWriteRawStrip (3tiff), TIFFWriteRawTile (3tiff), TIFFWriteScanline (3tiff), TIFFWriteTile (3tiff), libtiff (3tiff)